MD2HTML(1)

NAME
md2html - convert Markdown to HTML

SYNOPSIS
md2html [OPTION]... [FILE]

OPTIONS

  General options:

-o, --output=OUTFILE
    Write output to OUTFILE instead of stdout(3)

-f, --full-html
    Generate full HTML document, including header

-s, --stat
    Measure time of input parsing

-h, --help
    Display help and exit

-v, --version
    Display version and exit

  Markdown dialect options:

--commonmark
    CommonMark (the default)

--github
    Github Flavored Markdown

Note: dialect options are equivalent to some combination of flags below.

  Markdown extension options:

--fcollapse-whitespace
    Collapse non-trivial whitespace

--fverbatim-entities
    Do not translate entities

--fpermissive-atx-headers
    Allow ATX headers without delimiting space

--fpermissive-url-autolinks
    Allow URL autolinks without "<" and ">" delimiters

--fpermissive-www-autolinks
    Allow WWW autolinks without any scheme (e.g. "www.example.com")

--fpermissive-email-autolinks
    Allow e-mail autolinks without "<", ">" and "mailto:"

--fpermissive-autolinks
    Enable all 3 of the above permissive autolinks options

--fhard-soft-breaks
    Force all soft breaks to act as hard breaks

--fno-indented-code
    Disable indented code blocks

--fno-html-blocks
    Disable raw HTML blocks

--fno-html-spans
    Disable raw HTML spans

--fno-html
    Same as --fno-html-blocks --fno-html-spans

--ftables
    Enable tables

--fstrikethrough
    Enable strikethrough spans

--ftasklists
    Enable task lists

SEE ALSO
https://github.com/mity/md4c